System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

The class compares strings using ordinal sort rules and ignores the case of the strings being compared.

Allows control of code access security permissions.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified level of access to resources at creation.

  One of the values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds a permission entry to the permission.

  The to add.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The value of this field is "*".

  Specifies the character to be used to represent the any wildcard character.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Clears the permission of the added permission entries.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of the permission object represents the same access to resources as the original permission object.

  Creates and returns an identical copy of the current permission object.

  A copy of the current permission object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MonoTODO("incomplete - need more test")
  System.Void `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.ResourcePermissionBaseEntry[]

  Use and to add and remove permission entries to this permission.

  Returns an array of the objects added to this permission.

  An array of objects that were added to this permission.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permission objects is a permission that describes the set of operations they both hold in common. Specifically, it represents the minimum permissions required for a demand to pass both permissions.

  Creates and returns a permission object that is the intersection of the current permission object and a target permission object.

  A new permission object that represents the intersection of the current object and the specified target. This object is null if the intersection is empty.

  A permission object of the same type as the current permission object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission object is a subset of the specified permission object if the current permission object specifies a set of operations that is wholly contained by the specified permission object. For example, a permission that represents access to C:\Example.txt is a subset of a permission that represents access to C:\. If this method returns true, the current permission object represents no more access to the protected resource than does the specified permission object.

  This method always returns false when the specified permission object is of a different type than that of the current permission object.

  Determines whether the current permission object is a subset of the specified permission.

  true if the current permission object is a subset of the specified permission object; otherwise, false.

  A permission object that is to be tested for the subset relationship.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission object represents access to any and all resources protected by the permission.

  Gets a value indicating whether the permission is unrestricted.

  true if permission is unrestricted; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The value of this field is ".".

  Specifies the character to be used to represent a local reference.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets or sets an enumeration value that describes the types of access that you are giving the resource.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes a permission entry from the permission.

  The to remove.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] To be added: an object of type 'string []' To be added

  Gets or sets an array of strings that identify the resource you are protecting.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates and returns an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to is a permission that represents all the operations represented by both the current permission object and the specified permission object. Any demand that passes either permission passes their union.

  Creates a permission object that combines the current permission object and the target permission object.

  A new permission object that represents the union of the current permission object and the specified permission object.

  A permission object to combine with the current permission object. It must be of the same type as the current permission object.